# npm support

Synopsys Detect has the following npm detectors:

* npm package lock detector
* npm package shrinkwrap detector
* npm package JSON detector
* npm CLI detector

## npm package lock

The npm package lock is the preferred npm detector and runs when it finds a [package-lock.json](https://docs.npmjs.com/configuring-npm/package-lock-json.html) generated by npm.

npm automatically generates the package-lock.json after an *npm install* which should be run prior to scanning.

This is the most accurate way Synopsys Detect supports npm as lock file contains resolved versions and all transitives.

## npm shrinkwrap

The npm shrinkwrap detector uses the [npm-shrinkwrap.json](https://docs.npmjs.com/cli/v7/configuring-npm/npm-shrinkwrap-json) file.

It is the same as a package-lock.json but is a publishable lockfile. Synopsys Detect always chooses shrinkwrap over package lock.

## npm CLI detector

The npm CLI detector requires a package.json and an npm executable.

It executes *npm ls -json*, and verifies that it succeeded by ensuring that no messages were written to
stderr, and that the exit code was 0. If both conditions are met, it parses the output for dependencies.

If *npm ls -json* does write messages to stderr (for example, lint messages) that you would like
Synopsys Detect to ignore, you can silence errors by adding the --silent npm argument to the npm
command using Synopsys Detect property --detect.npm.arguments.

This detector is only invoked if the other npm detectors are not invoked, and generating lockfiles for the other detectors should be preferred.

## npm package JSON

The npm CLI detector is the fallback when in Build mode. When in buildless the fallback detector is npm package JSON.

This is the least accurate of the npm detectors.

It requires and parses a package.json file.

It does not find transitives and only reports the wild-card version present in the file.
