# blackduck\-server

## Black Duck API Token
```
--blackduck.api.token
```

The access token used to authenticate with the Black Duck Server\.



|Details||
|---|---|
|Added|4\.2\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Offline Mode
```
--blackduck.offline.mode=false
```

This can disable any Black Duck communication \- if true, Detect will not upload BDIO files, it will not check policies, and it will not download and install the signature scanner\.



|Details||
|---|---|
|Added|4\.2\.0|
|Type|Boolean|
|Default Value|false|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Black Duck URL
```
--blackduck.url
```

URL of the Black Duck server\.



|Details||
|---|---|
|Added|4\.2\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|`https://blackduck.mydomain.com`|

## Test Connection to Black Duck
```
--detect.test.connection=false
```

Test the connection to Black Duck with the current configuration\.



|Details||
|---|---|
|Added|3\.0\.0|
|Type|Boolean|
|Default Value|false|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|


## Trust All SSL Certificates (Advanced)
```
--blackduck.trust.cert=false
```

If true, automatically trust the certificate for the current run of Detect only\.



|Details||
|---|---|
|Added|4\.2\.0|
|Type|Boolean|
|Default Value|false|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Detect Timeout (Advanced)
```
--detect.timeout=300
```

The amount of time in seconds Detect will wait for network connection, for scans to finish, and to generate reports \(i\.e\. risk and policy check\)\. When changing this value, keep in mind the checking of policies might have to wait for scans to process which can take some time\.



|Details||
|---|---|
|Added|6\.8\.0|
|Type|Long|
|Default Value|300|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|`600`|

## Detect Scan Mode (Advanced)
```
--detect.blackduck.scan.mode=RAPID,INTELLIGENT 
```

Set the Black Duck scanning mode of Detect

Set the scanning mode of Detect to control how Detect will send data to Black Duck\. RAPID will not persist the results and disables select Detect functionality for faster results\. INTELLIGENT persists the results and permits all features of Detect\.

|Details||
|---|---|
|Added|6\.9\.0|
|Type|BlackduckScanMode|
|Default Value|INTELLIGENT|
|Comma Separated|No|
|Case Sensitive|Yes|
|Acceptable Values|RAPID, INTELLIGENT|
|Strict|Yes|
|Example|``|



## Use legacy BDIO upload endpoints in Black Duck (Deprecated) 
```
--blackduck.legacy.upload.enabled=true
```

If set to true, Detect will upload the BDIO files to Black Duck using older REST APIs\.  Set this to false if you want to use the intelligent persistent scan endpoints in Black Duck\.  The intelligent persistent endpoints are a Black Duck feature to be used with a later Black Duck version\.



**DEPRECATED: This property is being removed as support for the legacy endpoint is dropped\. It will be removed in 8\.0\.0.**

|Details||
|---|---|
|Added|7\.0\.0|
|Type|Boolean|
|Default Value|true|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

