# detector

## Required Detect Types
```
--detect.required.detector.types=BITBAKE,CARGO,CARTHAGE,COCOAPODS,CONAN,CONDA,CPAN,CRAN,DART,GIT,GO_MOD,GO_DEP,GO_VNDR,GO_VENDOR,GO_GRADLE,GRADLE,HEX,LERNA,MAVEN,NPM,NUGET,PACKAGIST,PEAR,PIP,POETRY,RUBYGEMS,SBT,SWIFT,YARN,CLANG 
```

The set of required detectors\.

If you want one or more detectors to be required \(must be found to apply\), use this property to specify the set of required detectors\. If this property is set, and one \(or more\) of the given detectors is not found to apply, Detect will fail\.

|Details||
|---|---|
|Added|4\.3\.0|
|Type|DetectorType List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|BITBAKE, CARGO, CARTHAGE, COCOAPODS, CONAN, CONDA, CPAN, CRAN, DART, GIT, GO\_MOD, GO\_DEP, GO\_VNDR, GO\_VENDOR, GO\_GRADLE, GRADLE, HEX, LERNA, MAVEN, NPM, NUGET, PACKAGIST, PEAR, PIP, POETRY, RUBYGEMS, SBT, SWIFT, YARN, CLANG|
|Strict|Yes|
|Example|`NPM`|


## Detector Types Excluded (Advanced)
```
--detect.excluded.detector.types=ALL,NONE,BITBAKE,CARGO,CARTHAGE,COCOAPODS,CONAN,CONDA,CPAN,CRAN,DART,GIT,GO_MOD,GO_DEP,GO_VNDR,GO_VENDOR,GO_GRADLE,GRADLE,HEX,LERNA,MAVEN,NPM,NUGET,PACKAGIST,PEAR,PIP,POETRY,RUBYGEMS,SBT,SWIFT,YARN,CLANG 
```

By default, all detectors will be included\. If you want to exclude specific detectors, specify the ones to exclude here\. If you want to exclude all detectors, specify "ALL"\. Exclusion rules always win\.

If Detect runs one or more detector on your project that you would like to exclude, you can use this property to prevent Detect from running them\.

|Details||
|---|---|
|Added|3\.0\.0|
|Type|DetectorType List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|ALL, NONE, BITBAKE, CARGO, CARTHAGE, COCOAPODS, CONAN, CONDA, CPAN, CRAN, DART, GIT, GO\_MOD, GO\_DEP, GO\_VNDR, GO\_VENDOR, GO\_GRADLE, GRADLE, HEX, LERNA, MAVEN, NPM, NUGET, PACKAGIST, PEAR, PIP, POETRY, RUBYGEMS, SBT, SWIFT, YARN, CLANG|
|Strict|Yes|
|Example|`NPM,LERNA`|

## Detector Types Included (Advanced)
```
--detect.included.detector.types=ALL,NONE,BITBAKE,CARGO,CARTHAGE,COCOAPODS,CONAN,CONDA,CPAN,CRAN,DART,GIT,GO_MOD,GO_DEP,GO_VNDR,GO_VENDOR,GO_GRADLE,GRADLE,HEX,LERNA,MAVEN,NPM,NUGET,PACKAGIST,PEAR,PIP,POETRY,RUBYGEMS,SBT,SWIFT,YARN,CLANG 
```

By default, all tools will be included\. If you want to include only specific tools, specify the ones to include here\. Exclusion rules always win\.

If you want to limit Detect to a subset of its detectors, use this property to specify that subset\.

|Details||
|---|---|
|Added|3\.0\.0|
|Type|DetectorType List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|ALL, NONE, BITBAKE, CARGO, CARTHAGE, COCOAPODS, CONAN, CONDA, CPAN, CRAN, DART, GIT, GO\_MOD, GO\_DEP, GO\_VNDR, GO\_VENDOR, GO\_GRADLE, GRADLE, HEX, LERNA, MAVEN, NPM, NUGET, PACKAGIST, PEAR, PIP, POETRY, RUBYGEMS, SBT, SWIFT, YARN, CLANG|
|Strict|Yes|
|Example|`NPM`|



