# proxy


## Proxy Host (Advanced)
```
--blackduck.proxy.host
```

Hostname for proxy server\.



|Details||
|---|---|
|Added|4\.2\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Bypass Proxy Hosts (Advanced)
```
--blackduck.proxy.ignored.hosts
```

A comma separated list of regular expression host patterns that should not use the proxy\.

These patterns must adhere to Java regular expressions: https://docs\.oracle\.com/javase/8/docs/api/java/util/regex/Pattern\.html

|Details||
|---|---|
|Added|4\.2\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|`blackduck[0-9]+.mycompany.com`|

## NTLM Proxy Domain (Advanced)
```
--blackduck.proxy.ntlm.domain
```

NTLM Proxy domain\.



|Details||
|---|---|
|Added|4\.2\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## NTLM Proxy Workstation (Advanced)
```
--blackduck.proxy.ntlm.workstation
```

NTLM Proxy workstation\.



|Details||
|---|---|
|Added|4\.2\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Proxy Password (Advanced)
```
--blackduck.proxy.password
```

Proxy password\.



|Details||
|---|---|
|Added|4\.2\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Proxy Port (Advanced)
```
--blackduck.proxy.port
```

Proxy port\.



|Details||
|---|---|
|Added|4\.2\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Proxy Username (Advanced)
```
--blackduck.proxy.username
```

Proxy username\.



|Details||
|---|---|
|Added|4\.2\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|



