# conan

## Conan Executable
```
--detect.conan.path
```

The path to the conan executable\.



|Details||
|---|---|
|Added|6\.8\.0|
|Type|Optional Path|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Include Conan Build Dependencies
```
--detect.conan.include.build.dependencies=true
```

Set this value to false if you would like to exclude your project's build dependencies\.



|Details||
|---|---|
|Added|6\.8\.0|
|Type|Boolean|
|Default Value|true|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Additional Conan Arguments
```
--detect.conan.arguments
```

A space\-separated list of additional arguments to add to the 'conan info' command line when running Detect against a Conan project\. Detect will execute the command 'conan info \{additional arguments\} \.'



|Details||
|---|---|
|Added|6\.8\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|`"--profile clang --profile cmake_316"`|

## Conan Lockfile
```
--detect.conan.lockfile.path
```

The path to the conan lockfile to apply when running 'conan info' to get the dependency graph\. If set, Detect will execute the command 'conan info \-\-lockfile \{lockfile\} \.'



|Details||
|---|---|
|Added|6\.8\.0|
|Type|Optional Path|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Attempt Package Revision Match
```
--detect.conan.attempt.package.revision.match=false
```

If package revisions are available \(a Conan lock file is found or provided, and Conan's revisions feature is enabled\), require that each dependency's package revision match the package revision of the component in the KB\.



|Details||
|---|---|
|Added|6\.8\.0|
|Type|Boolean|
|Default Value|false|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|




