# nuget

## dotnet Executable
```
--detect.dotnet.path
```

The path to the dotnet executable\.



|Details||
|---|---|
|Added|4\.4\.0|
|Type|Optional Path|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Nuget Config File
```
--detect.nuget.config.path
```

The path to the Nuget\.Config file to supply to the nuget exe\.



|Details||
|---|---|
|Added|4\.0\.0|
|Type|Optional Path|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Nuget Packages Repository URL
```
--detect.nuget.packages.repo.url=https://api.nuget.org/v3/index.json
```

The source for nuget packages

Set this to "https://www\.nuget\.org/api/v2/" if your are still using a nuget client expecting the v2 api\.

|Details||
|---|---|
|Added|3\.0\.0|
|Type|String List|
|Default Value|https://api\.nuget\.org/v3/index\.json|
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|


## Nuget Projects Excluded (Advanced)
```
--detect.nuget.excluded.modules
```

The projects within the solution to exclude\. Detect will exclude all projects with names that include any of the given regex patterns\. To match a full project name \(for example: 'BaGet\.Core'\), use a regular expression that matches only the full name \('^BaGet\.Core$'\)



|Details||
|---|---|
|Added|3\.0\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|Any|
|Strict|No|
|Example|`^BaGet.Core$,^BaGet.Core.Tests$`|

## Ignore Nuget Failures (Advanced)
```
--detect.nuget.ignore.failure=false
```

If true errors will be logged and then ignored\.



|Details||
|---|---|
|Added|3\.0\.0|
|Type|Boolean|
|Default Value|false|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Nuget Modules Included (Advanced)
```
--detect.nuget.included.modules
```

The names of the projects in a solution to include \(overrides exclude\)\. Detect will include all projects with names that include any of the given regex patterns\. To match a full project name \(for example: 'BaGet\.Core'\), use a regular expression that matches only the full name \('^BaGet\.Core$'\)



|Details||
|---|---|
|Added|3\.0\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|Any|
|Strict|No|
|Example|`^BaGet.Core$,^BaGet.Core.Tests$`|

## Nuget Inspector Version (Advanced)
```
--detect.nuget.inspector.version
```

Version of the Nuget Inspector\. By default Detect will run the latest version that is compatible with the Detect version\.



|Details||
|---|---|
|Added|3\.0\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|



