# Requirements

## General requirements

Requirements for Synopsys Detect

* Normally, access to the internet is required to download and run Synopsys Detect and components from GitHub and other locations. For running without internet access,
refer to [Air Gap Mode](downloadingandrunning/airgap.md).
* Minimum 8GB RAM.
* Java: OpenJDK 64-bit version 8, 11, 13, 14, or 15. If using Java 11: 11.0.5 or higher is required.
* curl versions 7.34.0 or later.
* Bash.
* If using detect7.ps1: PowerShell versions 4.0 or higher.
* The tools required to build your project source code.

## Black Duck requirements

For connecting to Black Duck:

* Licensed installation of the current version of Black Duck with access credentials.
Visit [this page](https://github.com/blackducksoftware/hub/releases) to determine the current version of Black Duck.
* The Black Duck notifications module must be enabled.
* A Black Duck user with the [required roles](gettingstarted/usersandroles.md).
* On Alpine Linux you will also need to override the Java installation used by the Black Duck Signature Scanner as
described [here](troubleshooting/solutions.md#black-duck-signature-scanner-fails-on-alpine-linux).

## Project type-specific requirements

In general, the detectors require:

* All dependencies must be resolvable. This generally means that each dependency has been installed using the package manager's cache, virtual environment, and others.
* The package manager / build tool must be installed and in the path.

Refer to *Language and package managers* for information on specific detectors.

## Risk report requirements

The risk report requires that the following fonts are installed:

* Helvetica
* Helvetica bold

