# Diagnostic mode

Synopsys Detect's diagnostic mode automatically enabled debug logging (where possible), saves all output (logs and inspector files) to a zip file, and notifies you of the location of the zip.

Diagnostic mode properties are:

-de --diagnosticExtended [--detect.diagnostic.extended](../properties/configuration/debug.md#diagnostic-mode-extended): When enabled, Synopsys Detect generates a zip file for troubleshooting (a "diagnostic zip") that includes all files most likely to be needed for troubleshotting, including log files, BDIO files, extraction files, reports, and Synopsys Detect input files such as lock files.

-d --diagnostic [--detect.diagnostic](../properties/configuration/debug.md#diagnostic-mode): When enabled, Synopsys Detect generates a diagnostic zip that only includes files generated by Synopsys Detect.

The zip file is created inside the Synopsys Detect output directory, and should be provided to Synopsys Technical Support when filing a case.

Synopsys does not recommend keeping diagnostic mode on, as it disables parts of cleanup such as deleting the generated diagnostic zip file(s); regardless of the Synopsys Detect cleanup flag.
While diagnostic can be enabled through properties for consistency, it is generally preferable to use the command line flags to prevent accidentally keeping diagnostic mode on.
If diagnostic mode is accidentally enabled globally (such as using environment variables) the accumulation of diagnostic zips will likely eventually require user intervention as the zips will accumulate.

Diagnostic mode actions:

* Sets the output log level to DEBUG.

* Zips the entire run directory of Synopsys Detect which includes:

* All BDIO files created by Synopsys Detect.

* Any intermediary files generated by Synopsys Detect, such as Gradle inspector output files.

* Includes any additional reports Synopsys Detect might make such as dependency counts.

* Additionally extended diagnostics (-de or --detect.diagnostic.extended) may include additional relevant files such as:
    - Npm package locks.
    - vendor.config.
    - C/C++ compilation database.

After running a scan with diagnostic mode, results similar to the following display in your output.

```
2019-03-29 09:32:02 INFO  [main] --- Creating diagnostics zip.
2019-03-29 09:32:02 INFO  [main] --- Diagnostics zip location: C:\detect\blackduck\runs\detect-run-2019-03-29-13-31-50-492.zip
2019-03-29 09:32:03 INFO  [main] --- Diagnostics file created at: C:detect\blackduck\runs\detect-run-2019-03-29-13-31-50-492.zip
2019-03-29 09:32:03 INFO  [main] --- Diagnostic mode has completed.
```
